<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        #caja1 {
            width: 300px;
            height: 300px;
            margin: auto;
        }

        #caja {
            width: 100%;
            height: 100%;
            margin: 20px auto;
            background-color: gray;
            text-align: center;
            transition: all .5s linear;
        }

        form {
            height: 100%;
            width: 100%;
        }

        #rojo {
            width: 50%;
            height: 25%;
            margin: auto;
            background-color: red;
            float: left;
        }

        #azul {
            width: 50%;
            height: 25%;
            margin: auto;
            background-color: blue;
            float: right;
        }
    </style>
</head>

<body>
    <div id="caja1">
        <div id="caja"></div>
        <form>
            <button type="button" id="rojo">Rojo</button>
            <button type="button" id="azul">Azul</button>
        </form>
    </div>
    <script src="Ejemplo3.js"></script>
</body>

</html>